openwrt编译自己的package时遇到缺失libpthread.so.0依赖的问题

原创 2016年08月30日 11:10:36

自己在openwrt/package/utils/目录下新添加了一个程序包,在编译的时候报错,

...is missing dependencies for the following libraries:libpthread.so.0.

这需要在该程序包的顶层makefile中添加红色字体部分。

define Package/rssi_client
	SECTION:=utils
	CATEGORY:=Utilities
	TITLE:=rssi tool
	DEPENDS:=+libncurses <span style="color:#FF0000;">+libpthread</span>
endef
另外,还是在该文件中

添加

TARGET_LDFLAGS:= -lpthread
将线程库的链接添加到目标链接标识符里。
版权声明:本文为博主原创文章,未经博主允许不得转载。

解决找不到动态库libpthread.so

用gcc编译程序时遇到如下问题 /usr/lib64/gcc/x86_64-suse-linux/4.7/../../../../x86_64-suse-linux/bin/ld: note: 's...

解决找不到动态库libpthread.so的问题

在新SUSE开发机上编译时出现下面的错误 /usr/lib64/gcc/x86_64-suse-linux/4.7/../../../../x86_64-suse-linux/bin/ld: not...

openwrt多线程程序交叉编译时候出现错误解决方法

linux@ubuntu:~/smb/lc_smarthome$ mipsel-openwrt-linux-gcc lc_tty.c lc_tty.h main.c -lpthread -o main...

Linux 编译C程序遇到依赖libm或libpthread

转载地址: http://blog.sina.com.cn/s/blog_7905bef10100u0kn.html                      http://blog.sina.co...

关于libpthread.a静态链接缺少依赖问题

在交叉编译一个项目,链接了uClibc库中的libpthread.a,出现了undefined reference to  `_Unwind_Resume',符号缺失问题。添加-lgcc_eh这个...

openwrt 编译时提示缺少libstdc++,libpthread.so.0文件

修改方式很简单。。。其实这些文件都有,只需要在配置文件内添加上就可以了。 添加方式: 找到openwrt交叉编译环境,然后 cd staging_dir/target-mipsel_24kec+dsp...

rac安装过程中 error while loading shared libraries libpthread.so.0 问题的解决

rac安装过程中 error while loading shared libraries libpthread.so.0 问题的解决2010-08-28 23:10在CentOS 5上安装Oracl...

执行srvctl报错 :error while loading shared libraries: libpthread.so.0:

执行srvctl是报错 error while loading shared libraries: libpthread.so.0: [oracle@rac02 ~]$ srvctl /...

RAC srvctl 命令报 libpthread.so.0 cannot open shared object file No such file or directory 解决方法

  运行srvctl 命令报错:[oracle@rac1 u01]$ srvctl remove asm -n rac1   /u01/app/oracle/product/10.2.0/db_1/j...

error while loading shared libraries: libpthread.so.0: cannot open shared object file: No such file

执行srvctl时报错 [oracle@rac01 bin]$ srvctl /u01/app/oracle/product/10.2.0/db_1/jdk/jre/bin/java: er...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:openwrt编译自己的package时遇到缺失libpthread.so.0依赖的问题
举报原因:
原因补充:

(最多只允许输入30个字)